import xml.etree.ElementTree as ET
import csv

tree = ET.parse("sample.qxw")
root = tree.getroot()

Patch_data = open('PatchData.csv', 'w')

csvwriter = csv.writer(Patch_data)
patch_head = []

for engine in root.findall('Engine'):
    count = 0
    print (engine.tag)
    for fx in engine.findall('Fixture'):
        patch = []

        if count == 0:
            brand = fx.find('Manufacturer').tag
            patch_head.append(brand)
            model = fx.find('Model').tag
            patch_head.append(model)
            mode = fx.find('Mode').tag
            patch_head.append(mode)
            fxid = fx.find('ID').tag
            patch_head.append(fxid)
            name = fx.find('Name').tag
            patch_head.append(name)
            univ = fx.find('Universe').tag
            patch_head.append(univ)
            addr = fx.find('Address').tag
            patch_head.append(addr)
            channels = fx.find('Channels').tag
            patch_head.append(channels)
            csvwriter.writerow(patch_head)
            count = count + 1

        brand = fx.find('Manufacturer').text
        patch.append(brand)
        model = fx.find('Model').text
        patch.append(model)
        mode = fx.find('Mode').text
        patch.append(mode)
        fxid = fx.find('ID').text
        patch.append(fxid)
        name = fx.find('Name').text
        patch.append(name)
        univ = int(fx.find('Universe').text) + 1
        patch.append(univ)
        addr = int(fx.find('Address').text) + 1
        patch.append(addr)
        channels = fx.find('Channels').text
        patch.append(channels)

        csvwriter.writerow(patch)



Patch_data.close()
